API Documentation
Toggle TOC panel
<access-service>/api/v1/organisations/{orgGroupId}/statistics/items/extensions

URL structure

1 https://access-service.xy-company.com/api/v1/organisations/{orgGroupId}/statistics/items/extensions

where {orgGroupId} is the ID of an organization.

Supported methods and overview

  • GET - retrieves a summary of information about the file name extensions of all files within an organization (specified by orgGroupId).

Note: This method takes no parameters.

Detailed description

This API endpoint retrieves a summary of information about the file name extensions of all files within an organization (specified by orgGroupId).

The information returned by this API endpoint is utilized on the Organization Administration dashboard.

Supported roles and conditions

This API endpoint supports the following Covata user roles (as described in the Organization Administrator's Guide):

  • Organization administrator - when this user is a member of the organization whose ID is specified by {orgGroupId} in the request's URL.

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token submitted in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...

Returns

If the request succeeded, then an HTTP response status 200 OK is returned.

For successful requests only, a JSON-formatted response containing the following members is also returned:

  • organisationId - The ID of the organization (which should match {orgGroupId} specified in the request's URL).
  • objectsCount - The total number of file objects in the organization (specified by orgGroupId).
  • breakdownByExtension - An array containing information about the file name extensions of all files in the organization (specified by orgGroupId). Each element of this array contains information about one of these file name extensions and is represented as an object, containing the following members:
    • extensionType - The extension itself.
    • objectsCount - The number of file objects possessing this file name extension.
    • percentageOfAllObjects - The percentage of this objectsCount value (immediately above) as a proportion of the parent objectsCount value (i.e. for the total number of file objects in the organization).
    Example (response):
    {
    "organisationId": "749418071827214336",
    "objectsCount": "4",
    "extensionsBreakdown": [{
    "extensionType": {
    "value": "jpg"
    },
    "objectsCount": "3",
    "percentageOfAllObjects": 75.0
    }, {
    "extensionType": {
    "value": "pdf"
    },
    "objectsCount": "1",
    "percentageOfAllObjects": 25.0
    }, {
    "extensionType": {
    "i18n": {
    "code": "server.dashboardservice.extensions.noextension",
    "arguments": []
    }
    },
    "objectsCount": "0",
    "percentageOfAllObjects": 0.0
    }]
    }